version: "3.8"
services:
    app:
        image: node:14.21.3-bullseye@sha256:c0bff0d29a742f40650d5f0305dd581351c10954e6cb6676fc96f47590b9666e
        # image: registry.gitlab.com/com.trumpf.ux/docker-images/com.trumpf.node-sdt-docker-image:16.0.0
        environment:
            #- NODE_OPTIONS=--max_old_space_size=4096
            #- NODE_ENV=production
            - http_proxy=$http_proxy
            - https_proxy=$https_proxy
            - no_proxy=$no_proxy
        ports:
            - "3331:3331"
            - "3332:3332"
            - "3333:3333"
        user: "node"
        working_dir: /home/node/app
        volumes:
            - ./:/home/node/app
        command: "npm start"

